Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZProductType Class Reference

## Public Member Functions
| __construct ( $id=-1, $fetch=true)
| store ()
| get ( $id=-1)
& | getAll ()
| delete ()
| id ()
| name ()
| description ()
| setName ( $value)
| setDescription ( $value)
| attributes ()

## Public Attributes
| $ID
| $Name
| $Description

## Detailed Description

! eZTrade This class handles different product types.

A product type is a group of products with the same special attributes. For example a product type could be cars, with the defined attributes: horsepower, weight ...

See also
  eZProduct

Definition at line 45 of file ezproducttype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZProductType::__construct | ( |  | $id = `-1`,
|  |  | $fetch = `true`
| ) |  |

Constructs a new eZProductType object. Retrieves the data from the database if a valid id is given as an argument.

Definition at line 51 of file ezproducttype.php.

References $id, and $ID.

## Member Function Documentation

## ◆ attributes()

eZProductType::attributes | ( |  | ) |

Returns an array of eZProductAttribute objects which are associated with the current product type.

Definition at line 211 of file ezproducttype.php.

References $db, $i, and eZDB\globalDatabase().

Referenced by delete().

## ◆ delete()

eZProductType::delete | ( |  | ) |

Deletes a option from the database.

Definition at line 149 of file ezproducttype.php.

References $db, $res, attributes(), eZDB\finish(), and eZDB\globalDatabase().

## ◆ description()

eZProductType::description | ( |  | ) |

Returns the option description.

Definition at line 186 of file ezproducttype.php.

References $Description.

## ◆ get()

eZProductType::get | ( |  | $id = `-1` | ) |

Fetches the product type object values from the database.

Definition at line 100 of file ezproducttype.php.

References $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZProductType::getAll | ( |  | ) |

Retrieves every option from the database.

Definition at line 129 of file ezproducttype.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ id()

eZProductType::id | ( |  | ) |

Returns the object ID to the option. This is the unique ID stored in the database.

Definition at line 170 of file ezproducttype.php.

References $ID.

## ◆ name()

eZProductType::name | ( |  | ) |

Returns the name of the option.

Definition at line 178 of file ezproducttype.php.

References $Name.

## ◆ setDescription()

eZProductType::setDescription | ( |  | $value | ) |

Sets the description of the option.

Definition at line 202 of file ezproducttype.php.

## ◆ setName()

eZProductType::setName | ( |  | $value | ) |

Sets the name of the option.

Definition at line 194 of file ezproducttype.php.

References Name.

## ◆ store()

eZProductType::store | ( |  | ) |

Stores a eZProducttype object to the database.

Definition at line 63 of file ezproducttype.php.

References $db, $res, eZDB\finish(), eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $Description

eZProductType::$Description

Definition at line 233 of file ezproducttype.php.

Referenced by description().

## ◆ $ID

eZProductType::$ID

Definition at line 231 of file ezproducttype.php.

Referenced by __construct(), and id().

## ◆ $Name

eZProductType::$Name

Definition at line 232 of file ezproducttype.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezproducttype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.